.pointer {
  cursor: pointer;
}

$directions: (
  T: 'top',
  R: 'right',
  L: 'left',
  B: 'bottom',
  A: 'all'
);
$steps: 4;
$lastStep: 80;

@each $direction, $directionname in $directions {
  @for $current from 0 to $lastStep {
    .p#{$current*$steps}#{$direction} {
      @if ($direction != A) {
        padding-#{$directionname}: #{$current * $steps}px;
      }
      else {
        padding: #{$current * $steps} px;
      }
    }

    .m#{$current*$steps}#{$direction} {
      @if ($direction != A) {
        margin-#{$directionname}: #{$current * $steps}px;
      }
      else {
        margin: #{$current * $steps} px;
      }
    }
  }
}
